import { x as _, b as R, U as x } from "./index-c03cd301.mjs";
import { c as V, g as Y } from "./_commonjsHelpers-c5d32002.mjs";
import { r as Z } from "./core-bdc2e2ea.mjs";
const J = {
  /**
   * 查询当前用户授权菜单树
   */
  async queryAuthorizeTreeMenus() {
    return await _.get(R.MENU_TREE_LIST);
  },
  /**
   * 根据条件进行分页查询角色列表
   */
  async queryAllRole(s = {}) {
    return await _.get(R.LIST, s);
  },
  // 新增角色
  async addRole(s) {
    return await _.post(R.ADD, s);
  },
  // 更新角色
  async modifyRole(s, i) {
    return await _.put(R.MODIFY(s), i);
  },
  // 删除角色
  async deleteRole(s) {
    return await _.delete(R.DELETE(s));
  },
  /**
   * 获取表单授权的角色信息
   * @param {*} formId 表单ID
   * @returns
   */
  async getRoleFormList(s) {
    return await _.get(R.ROLE_FORM_LIST(s));
  },
  /**
   * 向角色授权表单
   * @param {*} roleId 角色ID
   * @param {*} formId 表单ID
   * @returns
   */
  async bindForm(s, i) {
    return await _.post(R.BIND_FORM(s), i);
  },
  /**
   * 向角色取消表单授权
   * @param {*} roleId 角色ID
   * @param {*} formId 表单ID
   * @returns
   */
  async unbindForm(s, i) {
    return await _.post(R.UNBIND_FORM(s), i);
  },
  // 获取被选中的规则的所有id
  async getDataRules(s, i) {
    return await _.get(R.DATA_RULE_LIST(s), {
      rule_table: i
    });
  },
  // 授权规则
  async bindDataRule(s, i) {
    return await _.post(R.BIND_DATA_RULE(s), i);
  },
  // 取消规则授权
  async unbindDataRule(s, i) {
    return await _.post(R.UNBIND_DATA_RULE(s), i);
  },
  /**
   * 查询角色菜单列表(把子树平铺)
   * @param {string} roleId 角色id
   */
  async queryAuthorizeMenus(s) {
    return await _.get(R.MENU_LIST(s), {});
  },
  /**
   * 角色授权菜单
   * @param {string} roleId 角色id
   * @param {array} menuIds 菜单id数组
   */
  async authorizeMenu(s, i) {
    return await _.post(R.AUTHORIZE_MENU(s), i);
  },
  /**
   * 角色取消授权菜单
   * @param {string} roleId 角色id
   * @param {array} menuIds 资源id数组
   */
  async revokeMenu(s, i) {
    return await _.post(R.REVOKE_MENU(s), i);
  },
  /**
   * 角色授权资源(接口）
   * @param {string} roleId 角色id
   * @param {array} resourceIds 资源id数组
   */
  async authorizeResource(s, i) {
    return await _.post(
      R.AUTHORIZE_RESOURCE(s),
      i
    );
  },
  /**
   * 角色取消授权资源（接口）
   * @param {string} roleId 角色id
   * @param {array} resourceIds 资源id数组
   */
  async revokeResource(s, i) {
    return await _.post(R.REVOKE_RESOURCE(s), i);
  },
  // 授权资源查询(接口)
  async authResource(s, i) {
    return await _.get(
      R.AUTH_RESOURCE(s),
      i
    );
  }
};
var G = { exports: {} };
(function(s, i) {
  (function(w, S) {
    s.exports = S(Z());
  })(V, function(w) {
    return function(S) {
      var T = w, L = T.lib, j = L.WordArray, I = L.Hasher, K = T.algo, n = [];
      (function() {
        for (var o = 0; o < 64; o++)
          n[o] = S.abs(S.sin(o + 1)) * 4294967296 | 0;
      })();
      var k = K.MD5 = I.extend({
        _doReset: function() {
          this._hash = new j.init([
            1732584193,
            4023233417,
            2562383102,
            271733878
          ]);
        },
        _doProcessBlock: function(o, u) {
          for (var p = 0; p < 16; p++) {
            var d = u + p, v = o[d];
            o[d] = (v << 8 | v >>> 24) & 16711935 | (v << 24 | v >>> 8) & 4278255360;
          }
          var c = this._hash.words, h = o[u + 0], f = o[u + 1], D = o[u + 2], g = o[u + 3], A = o[u + 4], M = o[u + 5], O = o[u + 6], m = o[u + 7], B = o[u + 8], F = o[u + 9], H = o[u + 10], N = o[u + 11], b = o[u + 12], C = o[u + 13], q = o[u + 14], z = o[u + 15], r = c[0], a = c[1], t = c[2], e = c[3];
          r = E(r, a, t, e, h, 7, n[0]), e = E(e, r, a, t, f, 12, n[1]), t = E(t, e, r, a, D, 17, n[2]), a = E(a, t, e, r, g, 22, n[3]), r = E(r, a, t, e, A, 7, n[4]), e = E(e, r, a, t, M, 12, n[5]), t = E(t, e, r, a, O, 17, n[6]), a = E(a, t, e, r, m, 22, n[7]), r = E(r, a, t, e, B, 7, n[8]), e = E(e, r, a, t, F, 12, n[9]), t = E(t, e, r, a, H, 17, n[10]), a = E(a, t, e, r, N, 22, n[11]), r = E(r, a, t, e, b, 7, n[12]), e = E(e, r, a, t, C, 12, n[13]), t = E(t, e, r, a, q, 17, n[14]), a = E(a, t, e, r, z, 22, n[15]), r = y(r, a, t, e, f, 5, n[16]), e = y(e, r, a, t, O, 9, n[17]), t = y(t, e, r, a, N, 14, n[18]), a = y(a, t, e, r, h, 20, n[19]), r = y(r, a, t, e, M, 5, n[20]), e = y(e, r, a, t, H, 9, n[21]), t = y(t, e, r, a, z, 14, n[22]), a = y(a, t, e, r, A, 20, n[23]), r = y(r, a, t, e, F, 5, n[24]), e = y(e, r, a, t, q, 9, n[25]), t = y(t, e, r, a, g, 14, n[26]), a = y(a, t, e, r, B, 20, n[27]), r = y(r, a, t, e, C, 5, n[28]), e = y(e, r, a, t, D, 9, n[29]), t = y(t, e, r, a, m, 14, n[30]), a = y(a, t, e, r, b, 20, n[31]), r = l(r, a, t, e, M, 4, n[32]), e = l(e, r, a, t, B, 11, n[33]), t = l(t, e, r, a, N, 16, n[34]), a = l(a, t, e, r, q, 23, n[35]), r = l(r, a, t, e, f, 4, n[36]), e = l(e, r, a, t, A, 11, n[37]), t = l(t, e, r, a, m, 16, n[38]), a = l(a, t, e, r, H, 23, n[39]), r = l(r, a, t, e, C, 4, n[40]), e = l(e, r, a, t, h, 11, n[41]), t = l(t, e, r, a, g, 16, n[42]), a = l(a, t, e, r, O, 23, n[43]), r = l(r, a, t, e, F, 4, n[44]), e = l(e, r, a, t, b, 11, n[45]), t = l(t, e, r, a, z, 16, n[46]), a = l(a, t, e, r, D, 23, n[47]), r = U(r, a, t, e, h, 6, n[48]), e = U(e, r, a, t, m, 10, n[49]), t = U(t, e, r, a, q, 15, n[50]), a = U(a, t, e, r, M, 21, n[51]), r = U(r, a, t, e, b, 6, n[52]), e = U(e, r, a, t, g, 10, n[53]), t = U(t, e, r, a, H, 15, n[54]), a = U(a, t, e, r, f, 21, n[55]), r = U(r, a, t, e, B, 6, n[56]), e = U(e, r, a, t, z, 10, n[57]), t = U(t, e, r, a, O, 15, n[58]), a = U(a, t, e, r, C, 21, n[59]), r = U(r, a, t, e, A, 6, n[60]), e = U(e, r, a, t, N, 10, n[61]), t = U(t, e, r, a, D, 15, n[62]), a = U(a, t, e, r, F, 21, n[63]), c[0] = c[0] + r | 0, c[1] = c[1] + a | 0, c[2] = c[2] + t | 0, c[3] = c[3] + e | 0;
        },
        _doFinalize: function() {
          var o = this._data, u = o.words, p = this._nDataBytes * 8, d = o.sigBytes * 8;
          u[d >>> 5] |= 128 << 24 - d % 32;
          var v = S.floor(p / 4294967296), c = p;
          u[(d + 64 >>> 9 << 4) + 15] = (v << 8 | v >>> 24) & 16711935 | (v << 24 | v >>> 8) & 4278255360, u[(d + 64 >>> 9 << 4) + 14] = (c << 8 | c >>> 24) & 16711935 | (c << 24 | c >>> 8) & 4278255360, o.sigBytes = (u.length + 1) * 4, this._process();
          for (var h = this._hash, f = h.words, D = 0; D < 4; D++) {
            var g = f[D];
            f[D] = (g << 8 | g >>> 24) & 16711935 | (g << 24 | g >>> 8) & 4278255360;
          }
          return h;
        },
        clone: function() {
          var o = I.clone.call(this);
          return o._hash = this._hash.clone(), o;
        }
      });
      function E(o, u, p, d, v, c, h) {
        var f = o + (u & p | ~u & d) + v + h;
        return (f << c | f >>> 32 - c) + u;
      }
      function y(o, u, p, d, v, c, h) {
        var f = o + (u & d | p & ~d) + v + h;
        return (f << c | f >>> 32 - c) + u;
      }
      function l(o, u, p, d, v, c, h) {
        var f = o + (u ^ p ^ d) + v + h;
        return (f << c | f >>> 32 - c) + u;
      }
      function U(o, u, p, d, v, c, h) {
        var f = o + (p ^ (u | ~d)) + v + h;
        return (f << c | f >>> 32 - c) + u;
      }
      T.MD5 = I._createHelper(k), T.HmacMD5 = I._createHmacHelper(k);
    }(Math), w.MD5;
  });
})(G);
var $ = G.exports;
const W = /* @__PURE__ */ Y($), rr = {
  // 修改用户密码接口
  async userModifyPassword({ confirmPassword: s, newPassword: i, oldPassword: w }) {
    return i = W(i).toString(), w = W(w).toString(), s = W(s).toString(), await _.post("user/modifyPassword", {
      confirmPassword: s,
      newPassword: i,
      oldPassword: w
    });
  },
  // 用户编号查询
  async queryUserInfo(s) {
    return await _.get(`user/${s}`);
  },
  async batchCreateUser({ code: s, roleId: i }) {
    return await _.post("organUser/batchCreate", { code: s, roles: [i] });
  },
  // !上面是旧的接口，需要删除
  /**
   * 根据条件进行分页查询用户列表
   */
  async queryUserList({
    page: s,
    backRole: i = !0,
    backOrganization: w = !0,
    username: S,
    nickname: T,
    size: L
  }) {
    return _.get(x.LIST, {
      page: s,
      backRole: i,
      backOrganization: w,
      username: S,
      nickname: T,
      size: L
    });
  },
  async getUserList(s) {
    return await _.get(x.LIST, s);
  },
  // 保存用户接口
  async addUser(s) {
    return s.password = W(s.password).toString(), await _.post(x.ADD_USER, s);
  },
  // 更新用户接口
  async updateUser(s) {
    return await _.put(x.MODIFY_USER(s._id), s);
  },
  // 批量停用用户账号接口
  async suspendUser(s) {
    return await _.post(x.SUSPEND_USER(s), {});
  },
  // 批量启用用户账号接口
  async resumeUser(s) {
    return await _.post(x.RESUME_USER(s), {});
  },
  // 批量重置用户密码接口
  async resetUserPasswords(s) {
    const { userIds: i } = s;
    if (i.length === 0)
      throw new Error("userIds不能为空");
    return await _.post(x.RESET_PASSWORD, s);
  },
  // 根据用户编号批量删除用户接口
  async deleteUser(s) {
    return await _.delete(x.DELETE_USER(s));
  }
};
export {
  J as r,
  rr as u
};
