export {}
declare global {
  type EnumToUnion<T extends string | number> = T extends string ? `${T}` : T
  namespace FORM {
    interface CONFIG_OPTIONS {
      formDef: {
        layout:
          | {
              type: string
              options: OPTIONS
              showRoles?: []
            }[]
          | {
              itemOptions: {}
              children: {
                type: string
                options: OPTIONS
                showRoles?: []
              }[]
            }
        [key: string]: any
      }
      formRecordData?: {
        [key: string]: any
      }
      parentFormData?: {
        [key: string]: any
      }
      formHelpData?: {
        [key: string]: any
      }
      readonly?: boolean
      readonlyFields?: string
    }
    interface OPTIONS {
      label: string
      field: string
      required: boolean
      readonly?: boolean
      visible?: boolean
      hide?: boolean
      depends?: string[]
      placeholder?: string
      calculator?: string[]
      default?: any
      [key: string]: any
    }
    enum DICT_TYPES {
      ENUM = 'enum',
      INLINE = 'inline',
      TABLE = 'table'
    }
    interface DICT {
      name: string
      type: EnumToUnion<DICT_TYPES>
      items?: {
        label: string
        value: any
        [key: string]: any
      }[]
      fields?: string[]
      labelField?: string
      valueField?: string
      orderField?: string
    }
    interface CHANGE_FIELDS<T = any> {
      field: string
      value: T
      data?: []
    }
    interface FIELDS {
      name: string
      label: string
      type: string
      required: boolean
      unique?: boolean
    }
    interface DEF {
      layout: {
        type: string
        options: OPTIONS
        showRoles?: []
      }
      dicts: DICT[]
      name: string
      fields: FIELDS[]
      version: Number
      table: {
        tableOperators?: TABLE.TABLE_OPERATORS[]
        recordOperators?: TABLE.RECORD_OPERATORS[]
        searchItems?: any
        tableFields?: TABLE.FIELDS[]
        outFields?: string[]
        groups?: []
        modalWidth?: number
      }
    }
  }
  namespace SEARCH {
    interface FIELDS {
      operator?: string
      renderer: FIELD
      showRoles?: []
    }
    interface FIELD {
      type: string
      options: {
        hide?: boolean
        field: string
        label: string
        dict?: {}
        startField?: string
        endField?: string
        dictRef?: string
        default?: any
        [key: string]: any
      }
      show?: boolean
    }
    interface VALUE {
      name: string
      value: any
      operator: string
    }
  }
  namespace TABLE {
    interface TABLE_OPERATORS {
      key: string
      label: string
      icon?: string
      type?: string
      showRoles?: string[]
      disabled?: boolean
      // [key: string]: any
    }
    interface RECORD_OPERATOR {
      key?: string
      label: string
      icon?: string
      color?: string
      confirm?: boolean
      showRoles?: string[]
      expression?: string | string[] | Function
      disabled?: string | string[] | Function
    }
    interface RECORD_OPERATORS extends RECORD_OPERATOR {
      children?: RECORD_OPERATOR[]
    }
    interface FIELDS {
      name: string
      label: string
      type?: string
      dict?: string
      slot?: boolean
      precision?: number
      width?: number
      align?: string
      dateFormat?: string
      unit?: string
    }
  }
}
declare module 'apis'
declare module 'utiles'
declare module 'views'
declare module 'components'
